## Class TServerValidateEventParameter

Description

TServerValidateEventParameter class

TServerValidateEventParameter encapsulates the parameter data for OnServerValidate event of TCustomValidator components.

- since: 3.0
- version: $Id: TCustomValidator.php 1398 2006-09-08 19:31:03Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TCustomValidator.php (line 146)

    TComponent
       |
       --TEventParameter
          |
          --TServerValidateEventParameter

Method Summary
TServerValidateEventParameter __construct (string $value, boolean $isValid)
boolean getIsValid ()
string getValue ()
void setIsValid (boolean $value)
Methods
Constructor __construct (line 164)

Constructor.

- access: public

TServerValidateEventParameter __construct (string $value, boolean $isValid)

- string $value: property value to be validated
- boolean $isValid: whether the value is valid

getIsValid (line 181)

- return: whether the value is valid
- access: public

boolean getIsValid ()
getValue (line 173)

- return: value to be validated
- access: public

string getValue ()
setIsValid (line 189)

- access: public

void setIsValid (boolean $value)

- boolean $value: whether the value is valid

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:34:18 -0400 by phpDocumentor 1.3.0RC4